Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.serverless
Class QueueCarrier

    java.lang.Object
      org.jboss.jms.serverless.QueueCarrier

All Implemented Interfaces:
  java.io.Serializable

public class QueueCarrier
extends java.lang.Object
implements java.io.Serializable

JMS Message wrapper. It carries additional information that helps the JMS provider to route the messages to its final destination.

Version:
  $Revision: 1.2 $ $Date: 2005/10/30 00:05:39 $
Author:
  Ovidiu Feodorov
See Also:
  Serialized Form

Constructor Summary
`QueueCarrier(javax.jms.Message jmsMessage)`
`QueueCarrier(java.lang.String sessionID, java.lang.String queueReceiverID, javax.jms.Message jmsMessage)`

Method Summary
`javax.jms.Message` | `getJMSMessage()`
`java.lang.String` | `getReceiverID()`
`java.lang.String` | `getSessionID()`
`void` | `setReceiverID(java.lang.String id)`
`void` | `setSessionID(java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueCarrier

    public QueueCarrier(javax.jms.Message jmsMessage)

### QueueCarrier

    public QueueCarrier(java.lang.String sessionID,
                        java.lang.String queueReceiverID,
                        javax.jms.Message jmsMessage)

Method Detail

### getSessionID

    public java.lang.String getSessionID()

### setSessionID

    public void setSessionID(java.lang.String id)

### getReceiverID

    public java.lang.String getReceiverID()

### setReceiverID

    public void setReceiverID(java.lang.String id)

### getJMSMessage

    public javax.jms.Message getJMSMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.